Name:           dolfin
Version:        2017.2.0
Release:        1%{?dist}
Summary:        DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem Solving Environment in Python and C++

License:        LGPLv3
URL:            https://bitbucket.org/fenics-project/dolfin
Source0:        https://bitbucket.org/fenics-project/dolfin/downloads/dolfin-%{version}.tar.gz

BuildRequires:  gcc-c++
# Utilities
BuildRequires:  cmake
BuildRequires:  sphinx
# Libraries
BuildRequires:  boost-devel
BuildRequires:  eigen3-devel
# BuildRequires:  petsc-devel
# BuildRequires:  SuperLU-devel
# BuildRequires:  petsc4py
BuildRequires:  suitesparse-devel
BuildRequires:  lapack-devel
BuildRequires:  hdf5-devel
BuildRequires:  zlib-devel
BuildRequires:  python3-ffc
BuildRequires:  python3-rpm-macros
Requires:  python3-ffc

%description
DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem
Solving Environment in Python and C++.


%package devel
Summary:   DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem Solving Environment in Python and C++
Requires:  %{name} = %{version}
Requires:  boost-devel
Requires:  eigen3-devel
Requires:  suitesparse-devel
Requires:  lapack-devel
Requires:  hdf5-devel
Requires:  zlib-devel

%description devel
DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem
Solving Environment in Python and C++.


%package demo
Summary:   DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem Solving Environment in Python and C++

%description demo
DOLFIN is the computational backend of FEniCS and implements the FEniCS Problem
Solving Environment in Python and C++.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
rm -rf build && mkdir build && pushd build
# Stop excessive linking that cmake projects are prone to. 
export LDFLAGS="-Wl,--as-needed"
%cmake -DDOLFIN_PKGCONFIG_DIR=%{_libdir}/pkgconfig -DDOLFIN_LIB_DIR=%{_libdir} -DDOLFIN_ENABLE_PYTHON=OFF ../
make %{?_smp_mflags}
popd

%install
pushd build
%make_install
# For some reason it gets installed even with Python disabled
rm -rf %{buildroot}/%{python3_sitearch} %{buildroot}/%{python3_sitelib}
popd

%files
%{_bindir}/dolfin-convert
%{_bindir}/dolfin-order
%{_bindir}/dolfin-plot
%{_bindir}/dolfin-version
%{_bindir}/fenics-version
%{_libdir}/libdolfin.so*
%{_mandir}/man1/*.*
%{_datadir}/dolfin/dolfin.conf

%files devel
%{_includedir}/*
%{_datadir}/dolfin/cmake/
%{_libdir}/pkgconfig/dolfin.pc

%files demo
%{_bindir}/dolfin-get-demos
%{_datadir}/dolfin/demo/
%{_datadir}/dolfin/data/


%changelog
* Wed Apr 04 2018 Eldar Yusupov <eyusupov@gmail.com> - 2017.2.0.1
- Initial release.
